/*
 * Copyright (c) 2002-2008 JGoodies Karsten Lentzsch. All Rights Reserved.
 *
 * This software is the proprietary information of JGoodies Karsten Lentzsch.
 * Use is subject to license terms.
 *
 */

package com.jgoodies.skeleton.model.node;

import javax.swing.Icon;
import javax.swing.tree.TreeNode;

/**
 * This interface describes nodes in the Skeleton (Pro) navigation tree.
 *
 * @author Karsten Lentzsch
 * @version $Revision: 1.7 $
 */

public interface NavigationNode extends TreeNode {

    /**
     * Returns this node's icon for the given selection state.
     *
     * @return this node's icon for the given selection state
     */
    Icon getIcon(boolean selected);


    /**
     * Returns this node's name.
     *
     * @return this node's name
     */
    String getName();


    /**
     * Returns this node's model.
     *
     * @return this node's model
     */
    Object getModel();

}