/*
 * Copyright (c) 2002-2008 JGoodies Karsten Lentzsch. All Rights Reserved.
 *
 * This software is the proprietary information of JGoodies Karsten Lentzsch.
 * Use is subject to license terms.
 *
 */

package com.jgoodies.bookfinder.domain;

/**
 * Describes a book review with unbound read-write properties:
 * rating, summary and comment.
 *
 * @author  Karsten Lentzsch
 * @version $Revision: 1.4 $
 */
public final class EditorialReview {

    private String source;
    private String content;


    /**
     * Returns the comment.
     *
     * @return String
     */
    public String getContent() {
        return content;
    }

    /**
     * Returns the summary.
     *
     * @return String
     */
    public String getSource() {
        return source;
    }

    /**
     * Sets the comment.
     *
     * @param comment The comment to set
     */
    public void setContent(String comment) {
        this.content = comment;
    }

    /**
     * Sets the summary.
     *
     * @param summary The summary to set
     */
    public void setSource(String summary) {
        this.source = summary;
    }

}
