/*
 * Copyright (c) 2002-2008 JGoodies Karsten Lentzsch. All Rights Reserved.
 *
 * This software is the proprietary information of JGoodies Karsten Lentzsch.
 * Use is subject to license terms.
 *
 */

package com.jgoodies.bookfinder.request.query;

import com.jgoodies.bookfinder.request.WebService;

/**
 * Implements <code>XMLQuery</code> to perform author request
 * using the Amazon.com web service.
 *
 * @author Karsten Lentzsch
 * @version $Revision: 1.6 $
 */
public final class  AuthorQuery extends AbstractXMLQuery {


	/**
	 * Constructs an author query using the specified web service
	 * and search data.
	 */
	public AuthorQuery(WebService webService, String searchData) {
		super(webService, searchData);
	}


	// Abstract Behavior ****************************************************************

	/**
	 * Returns the query's search type, for example: 'author', 'key', or ISBN.
	 */
	@Override
    public String getSearchType() {
		return "Author";
	}


	/**
	 * Returns the query's search code, as used in the query URL,
	 * for example: 'KeywordSearch'.
	 */
	@Override
    protected String getOperation() {
		return "ItemSearch";
	}


}