/*
 * Copyright (c) 2002-2008 JGoodies Karsten Lentzsch. All Rights Reserved.
 *
 * This software is the proprietary information of JGoodies Karsten Lentzsch.
 * Use is subject to license terms.
 *
 */

package com.jgoodies.bookfinder.request.query;

import com.jgoodies.bookfinder.request.WebService;

/**
 * An implementation of <code>XMLQuery</code> that performs
 * a keyword search using the  Amazon.com web services.
 *
 * @author Karsten Lentzsch
 * @version $Revision: 1.6 $
 */
public final class KeywordQuery extends AbstractXMLQuery {

    /**
     * Constructs a keyword query using the specified web service
     * and search data.
     */
    public KeywordQuery(WebService webService, String searchData) {
        super(webService, searchData);
    }


    // Abstract Behavior *****************************************************

    /**
     * Returns the query's search type, for example: 'author', 'key', or ISBN.
     */
    @Override
    public String getSearchType() {
        return "Keywords";
    }


    /**
     * Returns the query's search code, as used in the query URL, for example:
     * 'KeywordSearch'.
     */
    @Override
    protected String getOperation() {
        return "ItemSearch";
    }

}