/*
 * Copyright (c) 2002-2008 JGoodies Karsten Lentzsch. All Rights Reserved.
 *
 * This software is the proprietary information of JGoodies Karsten Lentzsch.
 * Use is subject to license terms.
 *
 */

package com.jgoodies.bookfinder.request.query;

import java.io.IOException;

import org.jdom.JDOMException;

import com.jgoodies.bookfinder.domain.SearchResult;

/**
 * An interface that defines an XML query to the Amazon.com web services.
 *
 * @author Karsten Lentzsch
 * @version $Revision: 1.5 $
 */
public interface XMLQuery {


    /**
     * Executes this XML query and returns the <code>SearchResult</code> object
     * generated by the query.
     */
    SearchResult executeQuery() throws IOException, JDOMException;


    /**
     * Returns this query's search type, for example: author, key, or ISBN.
     *
     * @return this query's search type
     */
    String getSearchType();


    /**
     * Returns this query's search data, for example: 'gui', or 'arno schmidt'.
     *
     * @return this query's search data
     */
    String getSearchData();

}