/*
 * Copyright (c) 2000-2008 JGoodies Karsten Lentzsch. All Rights Reserved.
 *
 * This software is the proprietary information of JGoodies Karsten Lentzsch.
 * Use is subject to license terms.
 *
 */

package com.jgoodies.jdiskreport.domain;

import java.io.File;
import java.io.Serializable;



/**
 * Describes files, not directories.
 *
 * @author Karsten Lentzsch
 * @version $Revision: 1.4 $
 *
 * @see File
 */
public final class FileInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    private final String name;
    private final long size;
    private final long lastModified;


    // Instance Creation ******************************************************

    /**
     * Constructs a FileInfo with the given name, size, and modification date.
     */
    public FileInfo(String name, long size, long lastModified) {
        this.name = name;
        this.size = size;
        this.lastModified = lastModified;
    }


    // Accessors **************************************************************

    public String getName() {
        return name;
    }


    public long getSize() {
        return size;
    }


    public long getLastModified() {
        return lastModified;
    }


}
