/*
 * Copyright (c) 2000-2008 JGoodies Karsten Lentzsch. All Rights Reserved.
 *
 * This software is the proprietary information of JGoodies Karsten Lentzsch.
 * Use is subject to license terms.
 *
 */

package com.jgoodies.jdiskreport.domain;

import java.io.File;



/**
 * Describes the root directory of the scanned file tree.
 *
 * @author Karsten Lentzsch
 * @version $Revision: 1.4 $
 */
public final class Root extends Directory {

    private static final long serialVersionUID = 1L;

    private final File file;


    // Instance Creation ******************************************************

    /**
     * Constructs a .
     */
    public Root(File file, Directory[] directories, FileInfo[] files) {
        super(file.getName(), directories, files);
        this.file = file;
    }


    // Accessors **************************************************************


    public File getFile() {
        return file;
    }


}
