/*
 * Copyright (c) 2000-2008 JGoodies Karsten Lentzsch. All Rights Reserved.
 *
 * This software is the proprietary information of JGoodies Karsten Lentzsch.
 * Use is subject to license terms.
 *
 */

package com.jgoodies.jdiskreport.model.scan;

import java.io.File;

import com.jgoodies.jdiskreport.domain.ScanConfiguration;
import com.jgoodies.jdiskreport.domain.ScanResult;


/**
 * Describes a file system scanner and a scan logging feature.
 *
 * @author Karsten Lentzsch
 * @version $Revision: 1.4 $
 */
public interface Scanner {


    ScanResult scan(ScanConfiguration scanConfiguration, ScanLog scanLog);



    public interface ScanLog {

        void logConfiguration(ScanConfiguration configuration);

        void logDirectory(File directory, int level);

        void logWarning(String message);

        void logSummary(ScanResult result);

    }


}
