/*
 * Copyright (c) 2000-2008 JGoodies Karsten Lentzsch. All Rights Reserved.
 *
 * This software is the proprietary information of Karsten Lentzsch.
 * Use is subject to license terms.
 *
 */

package com.jgoodies.jdiskreport.model.util;

/**
 * Provides constants for byte sizes.
 *
 * @author Karsten Lentzsch
 * @version $Revision: 1.5 $
 */
public final class ByteSizeConstants {

    public static final long ONE_KB       = 1024L;
    public static final long FOUR_KB      = 4 * ONE_KB;
    public static final long SIXTEEN_KB   = 4 * FOUR_KB;
    public static final long SIXTYFOUR_KB = 4 * SIXTEEN_KB;
    public static final long TWO56_KB     = 4 * SIXTYFOUR_KB;
    public static final long ONE_MB       = 4 * TWO56_KB;
    public static final long FOUR_MB      = 4 * ONE_MB;
    public static final long SIXTEEN_MB   = 4 * FOUR_MB;
    public static final long SIXTYFOUR_MB = 4 * SIXTEEN_MB;
    public static final long TWO56_MB     = 4 * SIXTYFOUR_MB;
    public static final long ONE_GB       = 4 * TWO56_MB;
    public static final long FOUR_GB      = 4 * ONE_GB;
    public static final long SIXTEEN_GB   = 4 * FOUR_GB;
    public static final long ONE_TB       = ONE_KB * ONE_GB;


    private ByteSizeConstants() {
        // Overrides default constructor; prevents instantiation.
    }

}
