/*
 * Copyright (c) 2000-2008 JGoodies Karsten Lentzsch. All Rights Reserved.
 *
 * This software is the proprietary information of JGoodies Karsten Lentzsch.
 * Use is subject to license terms.
 *
 */

package com.jgoodies.jdiskreport.view.component;

import javax.swing.Action;

/**
 * A toolbar button that has a mandatory underlying Action
 * that is performed if the button is clicked.
 *
 * @author Karsten Lentzsch
 * @version $Revision: 1.3 $
 */
public final class ToolBarButton extends AbstractToolBarButton {


    public ToolBarButton(Action action) {
        if (action == null) {
            throw new IllegalArgumentException("The action must not be null.");
        }
        setAction(action);
    }


}
