/*
 * Copyright (c) 2000-2008 JGoodies Karsten Lentzsch. All Rights Reserved.
 *
 * This software is the proprietary information of JGoodies Karsten Lentzsch.
 * Use is subject to license terms.
 *
 */

package com.jgoodies.jdiskreport.view.component;

import com.jgoodies.uif.action.ToggleAction;

/**
 * A toolbar buttons for ToggleActions.
 *
 * @author Karsten Lentzsch
 * @version $Revision: 1.4 $
 */
public final class ToolBarToggleButton extends AbstractToolBarButton {


    public ToolBarToggleButton(ToggleAction action) {
        if (action == null) {
            throw new IllegalArgumentException("The action must not be null.");
        }
        setAction(action);
        setModel(action.createButtonModel());
    }


}
