/*
 * Copyright (c) 2000-2008 JGoodies Karsten Lentzsch. All Rights Reserved.
 *
 * This software is the proprietary information of JGoodies Karsten Lentzsch.
 * Use is subject to license terms.
 *
 */

package com.jgoodies.jdiskreport.model.statistic;

import static org.junit.Assert.assertEquals;

import org.junit.Test;

import com.jgoodies.jdiskreport.domain.FileInfo;
import com.jgoodies.jdiskreport.model.node.FileNode;

/**
 * Tests the TimeDistribution class.
 *
 * @author  Karsten Lentzsch
 * @version $Revision: 1.3 $
 */
public final class TimeDistributionTest {

    private static final long SIZE_TODAY        = 1;
//    private static final long SIZE_YESTERDAY    = 2;
//    private static final long SIZE_ONE_TWO_DAYS = 4;

    // Calendar ***************************************************************

    @SuppressWarnings("boxing")
    @Test
    public void checkTodayBounds() {
        long now = System.currentTimeMillis();
        AbstractDistribution distribution = new TimeDistribution();
        distribution.add(createNode("now", SIZE_TODAY, now));
        int todayIndex = distribution.getRowCount() - 1;
        long todaySize  = distribution.sizeAt(todayIndex);
        long todayCount = distribution.countAt(todayIndex);

        System.out.println(distribution);
        assertEquals("Today's size" , SIZE_TODAY, todaySize);
        assertEquals("Today's count", 1L, todayCount);
    }


    // Helper Code ************************************************************

    private FileNode createNode(String name, long size, long modified) {
        return new FileNode(new FileInfo(name, size, modified));
    }


}
