/*
 * Copyright (c) 2002-2008 JGoodies Karsten Lentzsch. All Rights Reserved.
 *
 * This software is the proprietary information of JGoodies Karsten Lentzsch.
 * Use is subject to license terms.
 *
 */

package com.jgoodies.skeleton.model;

import javax.swing.Icon;

import com.jgoodies.skeleton.Skeleton;
import com.jgoodies.uif_lite.application.ResourceMap;

/**
 * This class consists of string ids used for the resource bundle lookup.
 *
 * @author Karsten Lentzsch
 * @version $Revision: 1.9 $
 */

public final class Resources {

    private static final ResourceMap RESOURCES =
        new ResourceMap(null, Skeleton.class);

    private Resources() {
        // Overides default constructor; prevents instantiation.
    }


    // IDs ******************************************************************

    public static final String DESCRIPTION_NAME_ID  = "description.name";
    public static final String DESCRIPTION_ICON_ID  = "description.icon";
    public static final String SHAFT_ICON_ID        = "shaft.icon";
    public static final String SEGMENT_ICON_ID      = "segment.icon";
    public static final String FLANGE_ICON_ID       = "flange.icon";

    public static final String ITEM_ICON_ID         = "item.icon";
    public static final String LOGO_ICON_ID         = "logo.icon";
    public static final String GRADIENT_ICON_ID     = "gradient.icon";

    public static final String DEFAULT_PROJECT_NAME_ID =
        "defaultProject.name";

    // Resources ************************************************************

    public static final String DESCRIPTION_NAME =
        RESOURCES.getString(DESCRIPTION_NAME_ID);

    public static final Icon DESCRIPTION_ICON   =
        RESOURCES.getIcon(DESCRIPTION_ICON_ID);

    public static final Icon SHAFT_ICON =
        RESOURCES.getIcon(SHAFT_ICON_ID);
    public static final Icon SEGMENT_ICON =
        RESOURCES.getIcon(SEGMENT_ICON_ID);
    public static final Icon FLANGE_ICON =
        RESOURCES.getIcon(FLANGE_ICON_ID);


}
