/*
 * Copyright (c) 2000-2008 JGoodies Karsten Lentzsch. All Rights Reserved.
 *
 * This software is the proprietary information of JGoodies Karsten Lentzsch.
 * Use is subject to license terms.
 *
 */

package com.jgoodies.uif.laf;

/**
 * An interface that defines a strategy how to determine the default look.
 * A typical implementation will request the system properties for
 * the OS type, and OS version to choose a look appropriate for the platform.
 *
 * @author Karsten Lentzsch
 * @version $Revision: 1.4 $
 *
 * @see com.jgoodies.uif.laf.LookChoiceStrategies
 * @see com.jgoodies.looks.Options
 */
public interface LookChoiceStrategy {


    /**
     * Looks up and returns the class name of this strategy's default look.
     *
     * @return the class name of the default look as choosen by this strategy
     */
    String getDefaultLookClassName();


}