/*
 * Copyright (c) 2000-2008 JGoodies Karsten Lentzsch. All Rights Reserved.
 *
 * This software is the proprietary information of JGoodies Karsten Lentzsch.
 * Use is subject to license terms.
 *
 */

package com.jgoodies.uif.util;


/**
 * An interface that describes a mode that is either enabled or disabled.
 * Useful to handle differences between platforms and looks.
 * Class {@link Modes} provides a bunch of frequently used instances
 * that implement <code>Mode</code>.
 *
 * @author Karsten Lentzsch
 * @version $Revision: 1.4 $
 */

public interface Mode {


    /**
     * Checks and answers whether this mode is enabled or disabled.
     *
     * @return true if enabled, false if disabled
     */
    boolean enabled();


}