/*
 * Copyright (c) 2000-2008 JGoodies Karsten Lentzsch. All Rights Reserved.
 *
 * This software is the proprietary information of JGoodies Karsten Lentzsch.
 * Use is subject to license terms.
 *
 */

package com.jgoodies.uifextras.convenience;

/**
 * Consists only of resource keys shared by the JGoodies UI Framework
 * and the JGoodies UI Framework Extras.<p>
 *
 * TODO: Move the resources for the UIF Extras to a separate class.
 *
 * @author Karsten Lentzsch
 * @version $Revision: 1.3 $
 */

public class ResourceIDs {

	// General -----------------------------------------------------------

    public static final String GRAY_BACKGROUND 				= "background.gray.icon";
	public static final String BROWN_BACKGROUND 			= "background.brown.icon";

	public static final String SPLASH_IMAGE					= "splash.image";
	public static final String LOGO_ICON					= "logo.icon";


	// TaskTable resources --------------------------------------------------

	public static final String ACTIONPANEL_DEFAULT_ICON		= "actionPanel.default.icon";

	// TipOfTheDayDialog resources ------------------------------------------

	public static final String TIP_OF_THE_DAY_ICON			= "tipOfTheDayDialog.icon";
	public static final String TIP_OF_THE_DAY_32_ICON       = "tipOfTheDayDialog32.icon";

	// AboutDialog resources ------------------------------------------------

	public static final String ABOUT_COPYRIGHT_TEXT			= "aboutDialog.copyright.text";
	public static final String ABOUT_ACKNOWLEDGEMENTS_TEXT  = "aboutDialog.acknowledgements.text";
	public static final String ABOUT_ICON                   = "aboutDialog.icon";

	// Welcome Resources ----------------------------------------------------

	public static final String WELCOME_TEXT					= "welcome.text";

	// License Agreement Resources ------------------------------------------

	public static final String LICENSE_WELCOME_TEXT         = "license.welcome.text";
	public static final String LICENSE_HEADER_TEXT          = "license.header.text";
	public static final String LICENSE_ICON                 = "license.icon";
	public static final String LICENSE_AGREEMENT_PATH       = "license.agreement.path";
	public static final String LICENSE_CONFIRM_DECLINE_TEXT = "license.confirmDecline.text";

	// Choose Directory resources -------------------------------------------

	public static final String CHOOSE_DIRECTORY_HELP        = "chooseDirectory.text";
	public static final String CHOOSE_DIRECTORY_ICON        = "chooseDirectory.icon";

    // History texts --------------------------------------------------------

    public static final String HISTORY_BACK_TEXT            = "history.back.text";
    public static final String HISTORY_BACK_TO_TEXT         = "history.backTo.text";
    public static final String HISTORY_NEXT_TEXT            = "history.next.text";
    public static final String HISTORY_NEXT_TO_TEXT         = "history.nextTo.text";


	// Preferences resources ------------------------------------------------

	public static final String PREFERENCES_ICON				= "preferences.icon";

	// Other resources ------------------------------------------------------

	public static final String DOWN_ARROW_ICON				= "downArrow.icon";

}
