/*
 * Copyright (c) 2000-2008 JGoodies Karsten Lentzsch. All Rights Reserved.
 *
 * This software is the proprietary information of JGoodies Karsten Lentzsch.
 * Use is subject to license terms.
 *
 */

package com.jgoodies.uifextras.convenience;

import javax.swing.JTable;

import com.jgoodies.uif.util.SystemUtils;
import com.jgoodies.uifextras.panel.PropertiesTable;

/**
 * A <code>PropertiesTable</code> for the System properties.
 *
 * @author  Karsten Lentzsch
 * @version $Revision: 1.5 $
 *
 * @see PropertiesTable
 * @see System
 * @see SystemUtils
 */

public final class SystemTable extends PropertiesTable {


    // Instance Creation ******************************************************

    /**
     * Constructs a <code>SystemTable</code>.
     */
    public SystemTable() {
        super(SystemUtils.getExtendedSystemProperties(),
                new String[]{" Property", " Value"});
    }


    // ************************************************************************

    /**
     * Returns this table's auto resize mode; is off by default.
     */
    @Override
    protected int getAutoResizeMode() {
        return JTable.AUTO_RESIZE_OFF;
    }


    /**
     * Returns this table's name.
     */
    public String getTableName() {
        return "System Properties Table";
    }


    /**
     * Updates this table by setting new data.
     */
    public void update() {
        setData(SystemUtils.getExtendedSystemProperties());
    }
}