/*
 * Copyright (c) 2000-2008 JGoodies Karsten Lentzsch. All Rights Reserved.
 *
 * This software is the proprietary information of JGoodies Karsten Lentzsch.
 * Use is subject to license terms.
 *
 */

package com.jgoodies.uifextras.convenience;

import java.net.URL;


/**
 * Describes the data and operations required for the TipOfTheDayDialog.
 *
 * @author Karsten Lentzsch
 * @version $Revision: 1.5 $
 *
 * @see TipOfTheDayDialog
 *
 * @since 1.8
 */
public interface TipOfTheDayModel {

    /**
     * The name of the bound property "showingTips".
     */
    String SHOWING_TIPS_PROPERTY = "showingTips";


    /**
     * Returns the URL to the next next tip.
     *
     * @return the URL of the next tip
     */
    URL nextTip();


    /**
     * Returns the URL of the previous tip.
     *
     * @return the URL of the previous tip
     */
    URL previousTip();


    /**
     * Returns if we shall show tips at application startup.
     *
     * @return true to show tips, false to not show tips
     */
    boolean isShowingTips();


    /**
     * Sets if we shall show tips at application startup.
     *
     * @param b    true to enable the tips, false to disable
     */
    void setShowingTips(boolean b);


}